Visualization Modes
Generate muscle visualization image
Returns an image with specified muscle groups highlighted in a single color. Ideal for simple muscle group identification and basic workout visualization.
GET
https://muscle-visualizer-api.p.rapidapi.com
/
api
/
v1
/
visualize
Generate muscle visualization image
curl --request GET \
--url https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize \
--header 'X-RapidAPI-Key: <api-key>'import requests
url = "https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize"
headers = {"X-RapidAPI-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-RapidAPI-Key': '<api-key>'}};
fetch('https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-RapidAPI-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-RapidAPI-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize")
.header("X-RapidAPI-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-RapidAPI-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body"<string>"{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.exercisedb.dev/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.exercisedb.dev/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.exercisedb.dev/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.exercisedb.dev/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "METHOD_NOT_ALLOWED",
"docs": "https://docs.exercisedb.dev/errors/code/METHOD_NOT_ALLOWED",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "CONFLICT",
"docs": "https://docs.exercisedb.dev/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.exercisedb.dev/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.exercisedb.dev/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.exercisedb.dev/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_12345"
}
}Authorizations
Enter your RapidAPI key in the X-RapidAPI-Key header.
Query Parameters
Comma-separated list of muscle groups to highlight
Minimum string length:
1Example:
"BICEPS,TRICEPS"
HEX or RGB color for muscle highlighting (no alpha channel allowed)
Pattern:
^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$|^rgb\(\s*\d{1,3}\s*,\s*\d{1,3}\s*,\s*\d{1,3}\s*\)$Example:
"#D20A2E"
Body type to display
Available options:
male, female Example:
"male"
Background style: 'white', 'transparent', HEX color (e.g., '#f0f0f0'), or RGB color (e.g., 'rgb(240, 240, 240)'). No alpha channel allowed.
Pattern:
^(white|transparent|#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})|rgb\(\s*\d{1,3}\s*,\s*\d{1,3}\s*,\s*\d{1,3}\s*\))$Example:
"white"
Image dimensions - small (360x360), medium (480x480), large (720x720), xlarge (1080x1080)
Available options:
small, medium, large, xlarge Example:
"medium"
Output image format
Available options:
jpeg, png, webp Example:
"jpeg"
Response
Successfully generated muscle visualization image
The response is of type file.
Last modified on March 23, 2026
Was this page helpful?
āI
Generate muscle visualization image
curl --request GET \
--url https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize \
--header 'X-RapidAPI-Key: <api-key>'import requests
url = "https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize"
headers = {"X-RapidAPI-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-RapidAPI-Key': '<api-key>'}};
fetch('https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-RapidAPI-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-RapidAPI-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize")
.header("X-RapidAPI-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://muscle-visualizer-api.p.rapidapi.com/api/v1/visualize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-RapidAPI-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body"<string>"{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.exercisedb.dev/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.exercisedb.dev/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.exercisedb.dev/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.exercisedb.dev/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "METHOD_NOT_ALLOWED",
"docs": "https://docs.exercisedb.dev/errors/code/METHOD_NOT_ALLOWED",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "CONFLICT",
"docs": "https://docs.exercisedb.dev/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.exercisedb.dev/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.exercisedb.dev/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_12345"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.exercisedb.dev/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_12345"
}
}